Page MenuHomePhabricator

efl.gfx.color
Closed, ResolvedPublic

Description

| | | |mixin Efl.Gfx.Color
| | | |├ (P) color
| | | |├ (P) color_code
| | | |├ (P) color_class_code

Related Objects

zmike created this task.Jan 8 2019, 11:31 AM
zmike triaged this task as TODO priority.
segfaultxavi moved this task from Backlog to Evaluating on the efl: api board.Feb 6 2019, 3:57 AM
zmike moved this task from Evaluating to "easy" on the efl: api board.Feb 6 2019, 5:36 AM

This mixin provides a color property and a color_class property. A color_class is either Normal, Shadow or Outline.

Seems inconsistent: color is @pure_virtual, but not color_code or color_class_code.
color accepts R, G and B, whereas color_code accepts a string "#RRGGBBAA" and does the conversion to R, G, B (this is actually the only functionality provided by this mixin).
But color_class_code only accepts strings, there's no R, G, B variant.
color must be implemented by subclasses, but color_class is routed to edje :(

I dunno what is going on here but I don't think this is a pretty API.

zmike added a comment.Feb 8 2019, 9:55 AM

I don't know why color_class is here at all, this is edje-specific.

zmike added a comment.Feb 8 2019, 10:55 AM

Okay so after D7898 lands color_class_code won't exist anymore in this class and the rest of it should make (more) sense. I think this can be marked stable at that point?

I have just landed D7898 and have no further concerns regarding Efl.Gfx.Color.

zmike moved this task from "easy" to needs patch on the efl: api board.Feb 11 2019, 10:45 AM
zmike moved this task from needs patch to Stabilized on the efl: api board.Feb 15 2019, 6:43 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:20 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.